/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType.calculation;

import org.eclipse.jdt.core.IType;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.jdt.core.dom.ITypeBinding;
import org.intoJ.inferType.exception.AnonymousTypeException;

public class InverseBindingResolver {

	/**
	 * Finds a type in the system, INCLUDING secondary AND inner AND local types.
	 * 
	 * Now using the new Eclipse functionality .getJavaElement().
	 * 
	 * @param binding ITypeBinding
	 * @param javaProject
	 * @return IType
	 * @throws JavaModelException
	 * @throws AnonymousTypeException
	 */
	public static IType getITypeForITypeBinding(ITypeBinding binding) throws AnonymousTypeException {

		IType t = (IType) binding.getJavaElement();
		if (t == null)
			throw new AnonymousTypeException("Problematic type", "JDT was not able to resolve the IJavaElement of this binding.");

		return t;

	}
}
