/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType.exception;

/**
 * Indicates that no source folder could be found.
 * 
 * @version: $Date: 2007/07/28 12:12:55 $Author: kegel $Revision: 1.1 $
 * @author Andreas Mei&szlig;ner
 */
public class NoSourceFolderException extends IntoJCalculationException {

	private static final long serialVersionUID = 6448759726638888930L;

	/**
	 * Constructor for NoSourceFolderException.
	 * @param title String
	 * @param message String
	 */
	public NoSourceFolderException(String title, String message) {

		super(title, message);
	}

	/**
	 * Constructor with a standard error message.
	 *
	 */
	public NoSourceFolderException() {

		this("Error", "Source folder could not be found.");
	}
}