/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.util;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.intoJ.inferType3.InferTypePlugin;

/**
 * Custom exception based on {@link CoreException} that can be used
 * to log a single string to the PDE status.
 * 
 * @author Hannes Kegel
 *
 */
public class InternalCalculationException extends CoreException {

    private static final long serialVersionUID = 1L;

    /**
     * The single constructor.
     * 
     * @param errorMessage the error message
     */
    public InternalCalculationException(String errorMessage) {
        super(new Status(IStatus.ERROR, InferTypePlugin.PLUGIN_ID, IStatus.OK, errorMessage, null));
    }



}
